import { KeyboardBuilder } from 'vk-io';
import { IPagesBuilderOptions } from './builder';
export declare enum DefaultButtonAction {
    FIRST = "first",
    BACK = "back",
    STOP = "stop",
    NEXT = "next",
    LAST = "last"
}
export declare type DefaultButtonActionUnion = `${DefaultButtonAction}`;
export declare type DefaultButtonLabel = string;
export declare type DefaultButtonsMap = Map<DefaultButtonAction | DefaultButtonActionUnion, DefaultButtonLabel>;
export declare enum DefaultButtonsType {
    TEXT = "text",
    CALLBACK = "callback"
}
export declare type DefaultButtonsTypeUnion = `${DefaultButtonsType}`;
export interface ISetDefaultButtonsOptions {
    buttons?: (DefaultButtonAction | DefaultButtonActionUnion)[];
    type?: DefaultButtonsType | DefaultButtonsTypeUnion;
}
export declare type FunctionalKeyboard = KeyboardBuilder | ((context: IPagesBuilderOptions['context']) => KeyboardBuilder);
