import { Context } from 'vk-io';
import { PagesBuilder } from '../builder';
export interface IPagesManagerOptions {
}
export declare type Middleware<C extends Context = Context> = (context: PagesContext<C>, next: () => void) => unknown;
export declare type Fallback<C extends Context = Context> = ((context: PagesContext<C>, next: () => void) => unknown) | null;
export declare type PagesContext<C extends Context = Context> = ({
    pagesBuilder: () => PagesBuilder;
} & C) | C;
