import { Context } from 'vk-io';
import { Middleware, Fallback } from './types';
export declare class PagesManager<C extends Context = Context> {
    fallbackHandler: Fallback;
    constructor();
    get middleware(): Middleware<C>;
    /**
     * Функция для проверки наличия сборщика
     */
    static hasBuilder(builderId: string): boolean;
    /**
     * Метод для установки обработчика при отсутствии сборщика
     */
    onFallback(handler: Fallback): this;
}
export * from './builder';
export * from './types';
